ONVIF::Device::Types::RecordingCapabilities(3pm)

NAME
ONVIF::Device::Types::RecordingCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   ReceiverSource

•   MediaProfileSource

•   DynamicRecordings

•   DynamicTracks

•   MaxStringLength

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RecordingCapabilities
   XAddr =>  $some_value, # anyURI
   ReceiverSource =>  $some_value, # boolean
   MediaProfileSource =>  $some_value, # boolean
   DynamicRecordings =>  $some_value, # boolean
   DynamicTracks =>  $some_value, # boolean
   MaxStringLength =>  $some_value, # int
 },

AUTHOR
Generated by SOAP::WSDL